<?php
namespace App\ViewModels\Galeria\GaleriaRegistrationViewModel;

use App\Utils\Entity;

class GaleriaRegistrationViewModel extends Entity
{
    protected $descricao;
    protected $id_clinica;
    protected $id_medico;
    protected $id_paciente;
    protected $imagem;
    protected $criado_por;

    public static function builder() : GaleriaRegistrationViewModelBuilder
    {
        return (new GaleriaRegistrationViewModelBuilder);
    }

    public function getDescricao()
    {
        return $this->descricao;
    }

    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    public function getIdClinica()
    {
        return $this->id_clinica;
    }

    public function setIdClinica($id_clinica): void
    {
        $this->id_clinica = $id_clinica;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function getImagem()
    {
        return $this->imagem;
    }

    public function setImagem($imagem): void
    {
        $this->imagem = $imagem;
    }

    public function getCriadoPor()
    {
        return $this->criado_por;
    }

    public function setCriadoPor($criado_por): void
    {
        $this->criado_por = $criado_por;
    }



}